Skip to main content
GET
/
sites
/
{id}
/
deployments
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.deployments.list({
    id: "<id>",
  });

  console.log(result);
}

run();
{
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "commit_sha": "<string>",
      "is_live": true,
      "url": "<string>",
      "triggered_by": "<string>",
      "error_message": "<string>",
      "duration_seconds": 123,
      "started_at": "<string>",
      "finished_at": "<string>",
      "created_at": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Query Parameters

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of deployments

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required